Bug 1201984 - [RFE] Request for Integration of Fujitsu ETERNUS Cinder driver [NEEDINFO]
Summary: [RFE] Request for Integration of Fujitsu ETERNUS Cinder driver
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 6.0 (Juno)
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
: 6.0 (Juno)
Assignee: Eric Harney
QA Contact: nlevinki
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-03-14 09:11 UTC by Eduard Barrera
Modified: 2019-06-13 08:18 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-24 12:54:47 UTC
Target Upstream Version:
sgotliv: needinfo? (ebarrera)


Attachments (Terms of Use)

Description Eduard Barrera 2015-03-14 09:11:23 UTC
Description of problem:

Fujitsu is currently designing an OpenStack Reference Architecture based on RHEL OSP 6. During the last two weeks we worked together with Red Hat  on the Design and Implementation. Fujitsu has developed an OpenStack Cinder driver which is part of the current Juno (OSP 6) release. Refer to  http://docs.openstack.org/trunk/config-reference/content/fujitsu-smis-driver.html for detailed information on the implementation of this driver. Up to now the configuration of this driver is not possible in OSPI (Foreman) and as consequence we have to disable puppet, which is not our goal. 

We have discussed this with Alessandro Vozza and Daniel Messer and they told us to open a ticket to force the intergartion of this driver into OSPI.

As reference here are the Cinder config files after successful manual integration.

--- cinder.conf ---
enabled_backends=nfs,ETERNUS

[ETERNUS]
iscsi_target_prefix = iqn.2000-09.com.fujitsu
iscsi_ip_address = 10.111.128.11
volume_driver = cinder.volume.drivers.fujitsu_eternus_dx_iscsi.FJDXISCSIDriver
cinder_smis_config_file = /etc/cinder/cinder_fujitsu_eternus_dx.xml
volume_backend_name=edx
---- /etc/cinder/cinder_fujitsu_eternus_dx.xml ---
<?xml version="1.0" encoding="UTF-8" ?>
<FUJITSU>
<EcomServerIp>192.168.270.270</EcomServerIp>
<EcomServerPort>5988</EcomServerPort>
<EcomUserName>cinder</EcomUserName>
<EcomPassword>*********</EcomPassword>
<SnapPool>RG-OSP-Cinder</SnapPool>
</FUJITSU>
---

Comment 5 Sergey Gotliv 2015-03-24 09:47:07 UTC
Fujitsu Eternus driver was merged upstream in Kilo, therefore it will be a part of RHOS 7.0 code base. If you need to take some special activities related to installer, please, assign this ticket to the installer team.

Comment 6 Sergey Gotliv 2015-03-24 10:12:04 UTC
Just to correct my comment #5. It was merged on September 1st, which means its already part of the RHOS 6.0 code base.

Comment 7 Sean Cohen 2015-03-24 12:54:47 UTC
(In reply to Sergey Gotliv from comment #6)
> Just to correct my comment #5. It was merged on September 1st, which means
> its already part of the RHOS 6.0 code base.

Ack,
Closing as current release,
Sean


Note You need to log in before you can comment on or make changes to this bug.